# RPM specfile for Guppi module
# Generated Sat May 24 23:44:54 2003 GMT by Ximian build system
# $Id: bb_do,v 1.233 2003/05/12 02:06:07 thunder Exp $
# from $Id: ximian-build.conf,v 1.30 2003/05/22 19:33:19 clahey Exp $

%define nam	Guppi
%define ver	0.40.3
%define ximrev	10

Name:     	Guppi
Version: 	0.40.3
Release:	13.ximian.6.10
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/
Source0:	Guppi-0.40.3.tar.gz
BuildRequires:	libxml-devel
BuildRequires:	libglade-devel
BuildRequires:	gal-devel
BuildRequires:	gnumeric
Summary:	Plotting tool for GNOME
Group:		Applications/Graphics
Provides:	ximian-Guppi = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Conflicts:	Guppi-devel < 0.40.3-13.ximian.6.10
Conflicts:	Guppi-devel > 0.40.3-13.ximian.6.10

%description
Guppi is a tool that allows you to make interactive plots of data
in various ways.  It is integrated with GNOME.

%files
%defattr(-, root, root)
/usr/bin/*
/usr/lib/guppi
/usr/lib/lib*.so.*
/usr/share/gnome/help/*
/usr/share/guppi
/usr/share/locale/*/LC_MESSAGES/*.mo
/usr/share/oaf/*
/usr/share/pixmaps/*


%post
ldconfig

%postun
ldconfig

%package -n Guppi-devel
Summary:	Libraries for the Guppi plotting tool
Group:		Development/Libraries
Requires:	Guppi = 0.40.3-13.ximian.6.10
Provides:	ximian-Guppi-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n Guppi-devel
Set of libraries that allow you to access the Guppi plotting API.
Install this package if you wish to add plotting capabilities to GNOME
plications through Guppi.

%files -n Guppi-devel
%defattr(-, root, root)
/usr/include/gnome-1.0/*
/usr/lib/*Conf.sh
/usr/lib/*.la
/usr/lib/*.a
/usr/lib/*.so
/usr/share/aclocal/*.m4


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n Guppi-0.40.3
    ;;
all)
%setup  -q -n Guppi-0.40.3
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var --enable-gnumeric --enable-static
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Fri May 23 2003 Ximian, Inc.

- Version: 0.40.3-13.ximian.6.10
- Summary: New build.
- New automated build.

